<!-- Navigation -->
<nav [ngClass]="{'navbar': true, 'navbar-expand-lg': true, 'navbar-light': true, 'fixed-top': true, 'home': cssState === 'home'}" id="mainNav">
  <div class="container">
    <a class="navbar-brand" href="index.html">Start Bootstrap</a>
    <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
      Menu
      <i class="fas fa-bars"></i>
    </button>
    <div class="collapse navbar-collapse" id="navbarResponsive">
      <ul class="navbar-nav ml-auto">
        <li class="nav-item">
          <a class="nav-link" [routerLink]="'/'" routerLinkActive="active" [routerLinkActiveOptions]="{'exact': true}" >Home</a>
        </li>
        <li class="nav-item" ngbDropdown>
          <a id="navbarDropdown" role="button" (click)="false" class="nav-link" ngbDropdownToggle >Categories</a>
          <div class="dropdown-menu" ngbDropdownMenu >
            <a *ngFor="let category of categories" ngbDropdownItem [routerLink]="['/category', category.id]">{{category.name}}</a>
          </div>
        </li>
<!--        <li class="nav-item">-->
<!--          <a class="nav-link" href="post.html">Sample Post</a>-->
<!--        </li>-->
        <li class="nav-item">
          <a class="nav-link"  [routerLink]="'/contact'" routerLinkActive="active" [routerLinkActiveOptions]="{'exact': true}">Contact</a>
        </li>
      </ul>
    </div>
  </div>
</nav>

